Bug 969551 - asus-laptop.ko module will not load
asus-laptop.ko module will not load
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 14:54 EDT by daramas444
Modified: 2013-07-05 13:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 06:22:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daramas444 2013-05-31 14:54:02 EDT
Description of problem:

[root@EDStation ~]# modprobe asus-laptop
modprobe: ERROR: could not insert 'asus_laptop': No such device

[root@EDStation ~]# modprobe -f asus-laptop
modprobe: ERROR: could not insert 'asus_laptop': Key was rejected by service

Version-Release number of selected component (if applicable):
[root@EDStation ~]# uname -a
Linux EDStation.localdomain 3.9.4-200.fc18.x86_64 #1 SMP Fri May 24 20:10:49 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@EDStation ~]# modinfo /lib/modules/3.9.4-200.fc18.x86_64/kernel/drivers/platform/x86/asus-laptop.ko 
filename:       /lib/modules/3.9.4-200.fc18.x86_64/kernel/drivers/platform/x86/asus-laptop.ko
license:        GPL
description:    Asus Laptop Support
author:         Julien Lerouge, Karol Kozimor, Corentin Chary
alias:          acpi*:ATK0101:*
alias:          acpi*:ATK0100:*
depends:        sparse-keymap,input-polldev,rfkill
intree:         Y
vermagic:       3.9.4-200.fc18.x86_64 SMP mod_unload 
parm:           wapf:WAPF value (uint)
parm:           wled_type:Set the wled type on boot (unknown, led or rfkill). default is unknown (charp)
parm:           bled_type:Set the bled type on boot (unknown, led or rfkill). default is unknown (charp)
parm:           wlan_status:Set the wireless status on boot (0 = disabled, 1 = enabled, -1 = don't do anything). default is -1 (int)
parm:           bluetooth_status:Set the wireless status on boot (0 = disabled, 1 = enabled, -1 = don't do anything). default is -1 (int)
parm:           wimax_status:Set the wireless status on boot (0 = disabled, 1 = enabled, -1 = don't do anything). default is -1 (int)
parm:           wwan_status:Set the wireless status on boot (0 = disabled, 1 = enabled, -1 = don't do anything). default is -1 (int)
parm:           als_status:Set the ALS status on boot (0 = disabled, 1 = enabled). default is 0 (int)

How reproducible:
modprobe asus-laptop or
modprobe -f asus-laptop

Steps to Reproduce:
1. boot Fedora 18 on Asus X73SV (may be the same on other Asus laptops)
2. su -
3. modprobe asus-laptop

Actual results:
asus-laptop.ko isn't loaded

Expected results:
asus-laptop.ko is loaded and I can use the fn keys on my laptop
Comment 1 daramas444 2013-06-02 14:31:26 EDT
added Corentin Chary to the CC list
Comment 2 daramas444 2013-06-02 14:40:53 EDT
also my lsmod | grep asus ; and the full lsmod :

asus_wmi               24223  0 
sparse_keymap          13526  1 asus_wmi
rfkill                 21729  3 cfg80211,asus_wmi
video                  18991  2 i915,asus_wmi
wmi                    18697  2 mxm_wmi,asus_wmi





[root@EDStation ~]# lsmod 
Module                  Size  Used by
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      18782  6 
nf_defrag_ipv6         18205  1 nf_conntrack_ipv6
nf_conntrack_ipv4      14808  6 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
ip6table_filter        12815  1 
xt_conntrack           12760  12 
ip6_tables             26808  1 ip6table_filter
nf_conntrack           86438  3 xt_conntrack,nf_conntrack_ipv4,nf_conntrack_ipv6
bbswitch               13931  0 
fuse                   82252  5 
acpi_cpufreq           19612  1 
mperf                  12607  1 acpi_cpufreq
coretemp               13435  0 
kvm_intel             137762  0 
iTCO_wdt               13480  0 
iTCO_vendor_support    13419  1 iTCO_wdt
uvcvideo               81006  0 
kvm                   443356  1 kvm_intel
videobuf2_vmalloc      13163  1 uvcvideo
videobuf2_memops       13161  1 videobuf2_vmalloc
videobuf2_core         38816  1 uvcvideo
videodev              121874  2 uvcvideo,videobuf2_core
media                  20444  2 uvcvideo,videodev
asus_wmi               24223  0 
sparse_keymap          13526  1 asus_wmi
arc4                   12615  2 
rt2800pci              18660  0 
rt2800lib              64930  1 rt2800pci
rt2x00pci              13083  1 rt2800pci                                                                                                                                                            
rt2x00mmio             13306  1 rt2800pci                                                                                                                                                            
rt2x00lib              66676  4 rt2x00pci,rt2800lib,rt2800pci,rt2x00mmio                                                                                                                             
eeprom_93cx6           13130  1 rt2800pci                                                                                                                                                            
mac80211              603815  3 rt2x00lib,rt2x00pci,rt2800lib                                                                                                                                        
cfg80211              521315  2 mac80211,rt2x00lib                                                                                                                                                   
snd_hda_codec_hdmi     41088  1                                                                                                                                                                      
snd_hda_codec_realtek    46021  1                                                                                                                                                                    
snd_hda_intel          44021  3                                                                                                                                                                      
snd_hda_codec         178552  3 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_intel                                                                                                               
snd_hwdep              17650  1 snd_hda_codec                                                                                                                                                        
snd_seq                64877  0                                                                                                                                                                      
snd_seq_device         14136  1 snd_seq                                                                                                                                                              
snd_pcm                98004  3 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel                                                                                                                       
snd_page_alloc         18268  2 snd_pcm,snd_hda_intel                                                                                                                                                
snd_timer              28690  2 snd_pcm,snd_seq                                                                                                                                                      
snd                    79379  15 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,snd_seq_device                                             
nfsd                  283345  13                                                                                                                                                                     
atl1c                  45919  0                                                                                                                                                                      
rfkill                 21729  3 cfg80211,asus_wmi                                                                                                                                                    
soundcore              14491  1 snd
crc_ccitt              12613  1 rt2800lib
mei                    70834  0 
lpc_ich                16977  0 
mfd_core               13182  1 lpc_ich
auth_rpcgss            48560  1 nfsd
microcode              23448  0 
serio_raw              13375  0 
i2c_i801               18135  0 
nfs_acl                12741  1 nfsd
lockd                  93540  1 nfsd
sunrpc                256729  21 nfsd,auth_rpcgss,lockd,nfs_acl
uinput                 17614  0 
i915                  611339  3 
mxm_wmi                12865  0 
i2c_algo_bit           13257  1 i915
drm_kms_helper         46343  1 i915
ttm                    79750  0 
crc32_pclmul           13113  0 
drm                   272623  5 ttm,i915,drm_kms_helper
crc32c_intel           22079  0 
ghash_clmulni_intel    13259  0 
i2c_core               34096  6 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit,videodev
video                  18991  2 i915,asus_wmi
wmi                    18697  2 mxm_wmi,asus_wmi
Comment 3 daramas444 2013-06-02 14:53:16 EDT
Perhaps we can change the title of this bug to "misc asus modules issues".

rmmod asus-wmi then modprobe asus-nb-wmi leads to a complete nonsense behaviour of the fn + {brightness,sound volume,other fn keys} , not depending whether asus_atk0110 is loaded.
Comment 4 Corentin Chary 2013-06-04 03:16:34 EDT
(I have no time to work on that currently)

But reading: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1173107 it looks like https://github.com/iksaif/acpi4asus-dkms/commit/f110ad8060cbd98a3a70ad6662c502373bd68b3b should be reverted (not exactly this patch since it's in another repo, but the actual patch should be easy to find).

People may already have sent a fix on the platform-drivers-x86 mailing list.
Comment 5 daramas444 2013-06-18 09:57:33 EDT
okay. Do I need to provide any additional information/do something else ?

FYI I do get something when I run acpi_listen and hit fn keys:

acpi_listen:
PNP0C14:01 000000ff 00000000
Comment 6 Artur Szymczak 2013-07-03 07:08:58 EDT
I have the same problem with ASUS UX21E on Fedora 19 (fully updated):
# modprobe asus-laptop
modprobe: ERROR: could not insert 'asus_laptop': No such device

# dmidecode
# dmidecode 2.12
SMBIOS 2.6 present.
77 structures occupying 2710 bytes.
Table at 0x000EBB20.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: American Megatrends Inc.
	Version: UX21E.214
	Release Date: 11/22/2012
	Address: 0xF0000
	Runtime Size: 64 kB
	ROM Size: 2560 kB
	Characteristics:
		PCI is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		Boot from CD is supported
		Selectable boot is supported
		EDD is supported
		5.25"/1.2 MB floppy services are supported (int 13h)
		3.5"/720 kB floppy services are supported (int 13h)
		3.5"/2.88 MB floppy services are supported (int 13h)
		Print screen service is supported (int 5h)
		8042 keyboard services are supported (int 9h)
		Serial services are supported (int 14h)
		Printer services are supported (int 17h)
		ACPI is supported
		USB legacy is supported
		Smart battery is supported
		BIOS boot specification is supported
		Targeted content distribution is supported
	BIOS Revision: 4.6

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
	Manufacturer: ASUSTeK Computer Inc.
	Product Name: UX21E
	Version: 1.0       
	Serial Number: BSN12345678901234567
	Asset Tag: ATN12345678901234567
	Features:
		Board is a hosting board
		Board is replaceable
	Location In Chassis: MIDDLE              
	Chassis Handle: 0x0003
	Type: Motherboard
	Contained Object Handles: 0

Handle 0x0003, DMI type 3, 21 bytes
Chassis Information
	Manufacturer: ASUSTeK Computer Inc.
	Type: Notebook
	Lock: Present
	Version: 1.0       
	Serial Number: CSN12345678901234567
	Asset Tag: No Asset Tag
	Boot-up State: Safe
	Power Supply State: Safe
	Thermal State: Safe
	Security Status: None
	OEM Information: 0x00000000
	Height: Unspecified
	Number Of Power Cords: 1
	Contained Elements: 0

Handle 0x0004, DMI type 4, 42 bytes
Processor Information
	Socket Designation: CPU 1
	Type: Central Processor
	Family: Core 2 Duo
	Manufacturer: Intel            
	ID: A7 06 02 00 FF FB EB BF
	Signature: Type 0, Family 6, Model 42, Stepping 7
	Flags:
		FPU (Floating-point unit on-chip)
		VME (Virtual mode extension)
		DE (Debugging extension)
		PSE (Page size extension)
		TSC (Time stamp counter)
		MSR (Model specific registers)
		PAE (Physical address extension)
		MCE (Machine check exception)
		CX8 (CMPXCHG8 instruction supported)
		APIC (On-chip APIC hardware supported)
		SEP (Fast system call)
		MTRR (Memory type range registers)
		PGE (Page global enable)
		MCA (Machine check architecture)
		CMOV (Conditional move instruction supported)
		PAT (Page attribute table)
		PSE-36 (36-bit page size extension)
		CLFSH (CLFLUSH instruction supported)
		DS (Debug store)
		ACPI (ACPI supported)
		MMX (MMX technology supported)
		FXSR (FXSAVE and FXSTOR instructions supported)
		SSE (Streaming SIMD extensions)
		SSE2 (Streaming SIMD extensions 2)
		SS (Self-snoop)
		HTT (Multi-threading)
		TM (Thermal monitor supported)
		PBE (Pending break enabled)
	Version: Intel(R) Core(TM) i7-2677M CPU @ 1.80GHz       
	Voltage: 0.0 V
	External Clock: 100 MHz
	Max Speed: 4000 MHz
	Current Speed: 1800 MHz
	Status: Populated, Enabled
	Upgrade: Other
	L1 Cache Handle: 0x0005
	L2 Cache Handle: 0x0006
	L3 Cache Handle: Not Provided
	Serial Number: To Be Filled By O.E.M.
	Asset Tag: To Be Filled By O.E.M.
	Part Number: To Be Filled By O.E.M.
	Core Count: 2
	Core Enabled: 1
	Thread Count: 2
	Characteristics:
		64-bit capable

Handle 0x0005, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L1-Cache
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 0 kB
	Maximum Size: 0 kB
	Supported SRAM Types:
		Other
	Installed SRAM Type: Other
	Speed: Unknown
	Error Correction Type: None
	System Type: <OUT OF SPEC>
	Associativity: <OUT OF SPEC>

Handle 0x0006, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L2-Cache
	Configuration: Enabled, Not Socketed, Level 2
	Operational Mode: Varies With Memory Address
	Location: Internal
	Installed Size: 0 kB
	Maximum Size: 0 kB
	Supported SRAM Types:
		Other
	Installed SRAM Type: Other
	Speed: Unknown
	Error Correction Type: None
	System Type: <OUT OF SPEC>
	Associativity: <OUT OF SPEC>

Handle 0x0007, DMI type 126, 19 bytes
Inactive

Handle 0x0008, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1A1
	Internal Connector Type: None
	External Reference Designator: PS2Mouse
	External Connector Type: PS/2
	Port Type: Mouse Port

Handle 0x0009, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1A1
	Internal Connector Type: None
	External Reference Designator: Keyboard
	External Connector Type: PS/2
	Port Type: Keyboard Port

Handle 0x000A, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1A2A
	Internal Connector Type: None
	External Reference Designator: Serial Port
	External Connector Type: DB-9 male
	Port Type: Serial Port 16550A Compatible

Handle 0x000B, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1A2B
	Internal Connector Type: None
	External Reference Designator: Video
	External Connector Type: DB-15 female
	Port Type: Video Port

Handle 0x000C, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J3A2
	Internal Connector Type: None
	External Reference Designator: HDMI
	External Connector Type: Other
	Port Type: Video Port

Handle 0x000D, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J3A3
	Internal Connector Type: None
	External Reference Designator: USB1
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x000E, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J3A3
	Internal Connector Type: None
	External Reference Designator: USB2
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x000F, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J3A3
	Internal Connector Type: None
	External Reference Designator: USB3
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x0010, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J3A3
	Internal Connector Type: None
	External Reference Designator: USB4
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x0011, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4A1
	Internal Connector Type: None
	External Reference Designator: USB5
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x0012, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4A1
	Internal Connector Type: None
	External Reference Designator: USB6
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x0013, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4A1
	Internal Connector Type: None
	External Reference Designator: LAN
	External Connector Type: RJ-45
	Port Type: Network Port

Handle 0x0014, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J5A1
	Internal Connector Type: None
	External Reference Designator: Motherboard DP
	External Connector Type: Other
	Port Type: Other

Handle 0x0015, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J8J1
	Internal Connector Type: None
	External Reference Designator: SATA Port 0 Direct Connect
	External Connector Type: SAS/SATA Plug Receptacle
	Port Type: SATA

Handle 0x0016, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J7J1
	Internal Connector Type: None
	External Reference Designator: eSATA Port 4
	External Connector Type: SAS/SATA Plug Receptacle
	Port Type: SATA

Handle 0x0017, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6J1
	Internal Connector Type: None
	External Reference Designator: eSATA Port 3
	External Connector Type: SAS/SATA Plug Receptacle
	Port Type: SATA

Handle 0x0018, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1F2
	Internal Connector Type: None
	External Reference Designator: AC IN
	External Connector Type: Other
	Port Type: Other

Handle 0x0019, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J5B1 - PCH JTAG
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001A, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9A1 - TPM/PORT 80
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001B, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9E4 - HDA 2X8 Header
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001C, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9E7 - HDA 8Pin Header
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001D, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J8F1 - HDA HDMI
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001E, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9E3 - Scan Matrix Keyboard
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001F, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J8E1 - SPI Program
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0020, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9E5 - LPC Hot Docking
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0021, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9G2 - LPC SIDE BAND
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0022, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J8F2 - LPC Slot
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0023, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J8H3 - PCH XDP
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0024, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J7G1 - SATA Port 2
	Internal Connector Type: SAS/SATA Plug Receptacle
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: SATA

Handle 0x0025, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J7G2 - SATA Port 1
	Internal Connector Type: SAS/SATA Plug Receptacle
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: SATA

Handle 0x0026, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6H1 - SATA Power
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0027, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J5J1 - FP Header
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0028, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4H1 - ATX Power
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0029, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1J3 - AVMC
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x002A, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1H1 - BATT B
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x002B, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1H2 - BATT A
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x002C, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J2G1 - CPU Fan
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x002D, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1D3 - XDP
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x002E, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4V1 - Memory Slot 1
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x002F, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4V2 - Memory Slot 2
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0030, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4C1 - FAN PWR
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0031, DMI type 9, 17 bytes
System Slot Information
	Designation: J5C1
	Type: x16 PCI Express x16
	Current Usage: Available
	Length: Long
	ID: 0
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:ff:03.0

Handle 0x0032, DMI type 9, 17 bytes
System Slot Information
	Designation: J6C2
	Type: x1 PCI Express
	Current Usage: Available
	Length: Short
	ID: 1
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:01:1c.0

Handle 0x0033, DMI type 9, 17 bytes
System Slot Information
	Designation: J6D2
	Type: x1 PCI Express
	Current Usage: In Use
	Length: Short
	ID: 2
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:02:1c.1

Handle 0x0034, DMI type 9, 17 bytes
System Slot Information
	Designation: J7C1
	Type: x1 PCI Express
	Current Usage: Available
	Length: Short
	ID: 3
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:ff:1c.2

Handle 0x0035, DMI type 9, 17 bytes
System Slot Information
	Designation: J7D2
	Type: x1 PCI Express
	Current Usage: In Use
	Length: Short
	ID: 4
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:03:1c.3

Handle 0x0036, DMI type 9, 17 bytes
System Slot Information
	Designation: J6C1
	Type: x1 PCI Express
	Current Usage: Available
	Length: Short
	ID: 5
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:ff:1c.4

Handle 0x0037, DMI type 9, 17 bytes
System Slot Information
	Designation: J8C2
	Type: 32-bit PCI Express x16
	Current Usage: Available
	Length: Long
	ID: 6
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:ff:1c.5

Handle 0x0038, DMI type 9, 17 bytes
System Slot Information
	Designation: J6UB
	Type: x16 PCI Express x16
	Current Usage: Available
	Length: Long
	ID: 0
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:ff:00.0

Handle 0x0039, DMI type 9, 17 bytes
System Slot Information
	Designation: J15BU
	Type: x4 PCI Express
	Current Usage: Available
	Length: Short
	ID: 1
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:ff:00.0

Handle 0x003A, DMI type 9, 17 bytes
System Slot Information
	Designation: J13BU
	Type: x1 PCI Express
	Current Usage: Available
	Length: Short
	ID: 2
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported
	Bus Address: 0000:00:00.0

Handle 0x003B, DMI type 10, 6 bytes
On Board Device Information
	Type: Video
	Status: Enabled
	Description:    To Be Filled By O.E.M.

Handle 0x003C, DMI type 10, 6 bytes
On Board Device Information
	Type: Ethernet
	Status: Disabled
	Description: To Be Filled By O.E.M.

Handle 0x003D, DMI type 10, 6 bytes
On Board Device Information
	Type: Sound
	Status: Enabled
	Description:    To Be Filled By O.E.M.

Handle 0x003F, DMI type 12, 5 bytes
System Configuration Options
	Option 1: DSN:213153035069                    
	Option 2: DSN:FFFFFFFFFFFF                    
	Option 3: DSN:FFFFFFFFFFFF                    
	Option 4: SMI:00B2CA

Handle 0x0046, DMI type 21, 7 bytes
Built-in Pointing Device
	Type: Mouse
	Interface: PS/2
	Buttons: 3

Handle 0x0047, DMI type 32, 20 bytes
System Boot Information
	Status: No errors detected

Handle 0x0001, DMI type 1, 27 bytes
System Information
	Manufacturer: ASUSTeK Computer Inc.
	Product Name: UX21E
	Version: 1.0       
	Serial Number: [EDITED by Artur]
	UUID: [EDITED by Artur]
	Wake-up Type: Power Switch
	SKU Number:                       
	Family: UX

Handle 0x003E, DMI type 11, 5 bytes
OEM Strings
	String 1: 5mSh9Hot06jYE
	String 2: 5msGYLvAm-elg
	String 3: NvHJA00Fc2X+Z
	String 4: 90N93A115H15116013IC
	String 5:  
	String 6:  
	String 7:  
	String 8:  
	String 9:  
	String 10:  

Handle 0x0040, DMI type 16, 15 bytes
Physical Memory Array
	Location: System Board Or Motherboard
	Use: System Memory
	Error Correction Type: None
	Maximum Capacity: 16 GB
	Error Information Handle: Not Provided
	Number Of Devices: 2

Handle 0x0041, DMI type 17, 28 bytes
Memory Device
	Array Handle: 0x0040
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 2048 MB
	Form Factor: SODIMM
	Set: None
	Locator: ChannelA-DIMM0
	Bank Locator: BANK 0
	Type: DDR3
	Type Detail: Synchronous
	Speed: 1333 MHz
	Manufacturer: Elpida
	Serial Number: 00000000
	Asset Tag: 9876543210
	Part Number: [Empty]
	Rank: 1

Handle 0x0042, DMI type 17, 28 bytes
Memory Device
	Array Handle: 0x0040
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 2048 MB
	Form Factor: SODIMM
	Set: None
	Locator: ChannelB-DIMM0
	Bank Locator: BANK 2
	Type: DDR3
	Type Detail: Synchronous
	Speed: 1333 MHz
	Manufacturer: Elpida
	Serial Number: 00000000
	Asset Tag: 9876543210
	Part Number: [Empty]
	Rank: 1

Handle 0x0043, DMI type 20, 19 bytes
Memory Device Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x000FFFFFFFF
	Range Size: 4 GB
	Physical Device Handle: 0x0042
	Memory Array Mapped Address Handle: 0x0045
	Partition Row Position: 1
	Interleave Position: 1
	Interleaved Data Depth: 2

Handle 0x0044, DMI type 20, 19 bytes
Memory Device Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x000FFFFFFFF
	Range Size: 4 GB
	Physical Device Handle: 0x0042
	Memory Array Mapped Address Handle: 0x0045
	Partition Row Position: 1
	Interleave Position: 2
	Interleaved Data Depth: 2

Handle 0x0045, DMI type 19, 15 bytes
Memory Array Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x000FFFFFFFF
	Range Size: 4 GB
	Physical Array Handle: 0x0040
	Partition Width: 2

Handle 0x0048, DMI type 129, 8 bytes
OEM-specific Type
	Header and Data:
		81 08 48 00 01 01 02 00
	Strings:
		Intel_ASF
		Intel_ASF_001

Handle 0x0049, DMI type 130, 20 bytes
OEM-specific Type
	Header and Data:
		82 14 49 00 24 41 4D 54 00 00 00 00 00 A5 2F 02
		00 00 00 00

Handle 0x004A, DMI type 131, 64 bytes
OEM-specific Type
	Header and Data:
		83 40 4A 00 37 00 00 00 00 07 00 00 00 00 00 36
		F8 00 4D 1C FF FF FF FF 01 20 00 00 01 00 07 00
		57 04 14 00 00 00 00 00 C8 00 FF FF 00 00 00 00
		00 00 00 00 52 01 00 00 76 50 72 6F 00 00 00 00

Handle 0x004B, DMI type 13, 22 bytes
BIOS Language Information
	Language Description Format: Abbreviated
	Installable Languages: 1
		eng
	Currently Installed Language: eng

Handle 0x004C, DMI type 127, 4 bytes
End Of Table
Comment 7 daramas444 2013-07-04 06:22:01 EDT
problem kindof solved by adding modprobe asus-nb-wmi to /etc/rc.modules ; I have the fn keys functional now. I close the bug
Comment 8 daramas444 2013-07-05 13:28:47 EDT
also make sure that in the /etc/grub/default, the only acpi related option is acpi_osi=Linux ; with acpi_backlight=vendor, the brightness keys didnt trigger an XF86 event

Note You need to log in before you can comment on or make changes to this bug.